
export const enum Profile {
  Premium,
  Basic,
  Pro,
  NotSet,
}

export enum Auth {
  Allow,
  Denied,
  NotSet,
}

export enum Permission {
  Read,
  Write,
  ReadWrite,
  NotSet,
}

export interface DataContext {
  profile: Profile
  auth: Auth
  perms: Permission
}

export interface AccordionItemType {
  title?: string
  status: boolean
  h: number
}

export interface SideMenuItemType {
  title: string
	ctx?: string
	mode?: string
  name?: string
  icon_on?: string
  img?: string
  name_to?: string
	show_to: boolean
  path?: string
  click?: string
  type: NavItemType
  pfx?: string
  href?: string
  label?: string
	vif?: string
  active?: boolean
  cllbck?: Function | null
}

export interface UiPanelsType {
	[key: string]: any
	id: string
	style: string
}

